## EDU.oswego.cs.dl.util.concurrent
Interface Barrier

All Known Implementing Classes:
  CyclicBarrier, Rendezvous

    public interface Barrier

Barriers serve as synchronization points for groups of threads that must occasionally wait for each other. Barriers may support any of several methods that accomplish this synchronization. This interface merely expresses their minimal commonalities:

- Every barrier is defined for a given number of `parties` -- the number of threads that must meet at the barrier point. (In all current implementations, this value is fixed upon construction of the Barrier.)
- A barrier can become `broken` if one or more threads leave a barrier point prematurely, generally due to interruption or timeout. Corresponding synchronization methods in barriers fail, throwing BrokenBarrierException for other threads when barriers are in broken states.

[ Introduction to this package. ]

Method Summary
`boolean` `broken()` Returns true if the barrier has been compromised by threads leaving the barrier before a synchronization point (normally due to interruption or timeout).
`int` `parties()` Return the number of parties that must meet per barrier point.

Method Detail

### parties

    int parties()

  Return the number of parties that must meet per barrier point. The number of parties is always at least 1.

### broken

    boolean broken()

  Returns true if the barrier has been compromised by threads leaving the barrier before a synchronization point (normally due to interruption or timeout). Barrier methods in implementation classes throw throw BrokenBarrierException upon detection of breakage. Implementations may also support some means to clear this status.